> ## Documentation Index
> Fetch the complete documentation index at: https://zeropath.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get repositories



## OpenAPI

````yaml https://zeropath.com/openapi/v1.yaml post /api/v1/repositories/list
openapi: 3.1.0
info:
  title: ZeroPath API
  version: 1.0.0
  description: Public API for ZeroPath
servers:
  - url: https://zeropath.com
    description: Production server
    x-fern-server-name: Production
  - url: https://dev.branch.zeropath.com
    description: Development server
    x-fern-server-name: Development
security:
  - apiTokenId: []
    apiTokenSecret: []
tags:
  - name: Organizations
    description: Operations related to organizations
  - name: Stats
    description: Operations related to stats
  - name: Repositories
    description: Operations related to repositories
  - name: Installations
    description: Operations related to installations
  - name: Issues
    description: Operations related to issues
  - name: SCA
    description: Software Composition Analysis
  - name: Scans
    description: Operations related to scans
  - name: Rules
    description: Operations related to custom security rules
  - name: Referrals
    description: Operations related to referrals
paths:
  /api/v1/repositories/list:
    post:
      tags:
        - Repositories
      summary: Get repositories
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListRepositoriesInput'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RepositoryList'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    ListRepositoriesInput:
      type: object
      properties:
        organizationId:
          type: string
        appId:
          type: string
        getCounts:
          type: boolean
          default: true
    RepositoryList:
      type: array
      items:
        $ref: '#/components/schemas/Repository'
    Repository:
      type: object
      properties:
        issueCounts:
          $ref: '#/components/schemas/IssuesByType'
        id:
          type: string
        projectId:
          type: string
        name:
          type: string
        url:
          type: string
        repositoryUrl:
          type: string
        fullScanAutoPatching:
          type: boolean
        defaultScanTargetBranch:
          type: string
        isPrScanningEnabled:
          type: boolean
        isPrScanIssueSummaryEnabled:
          type: boolean
        isPrScanCleanSummaryEnabled:
          type: boolean
        prBranchFormat:
          type:
            - string
            - 'null'
        prCommitMessageFormat:
          type:
            - string
            - 'null'
        prTitleTemplate:
          type:
            - string
            - 'null'
        prDescriptionTemplate:
          type:
            - string
            - 'null'
        includeVulnDetailsInPrComment:
          type: boolean
        isInlinePrReviewsEnabled:
          type: boolean
        postVcsCheckStatus:
          type: boolean
        fullScanPrGenerationThreshold:
          type: number
        fullScanPatchThreshold:
          type: number
        prCheckFailureThreshold:
          type: number
        enabledSourceTypes:
          type: array
          items:
            type: string
        githubRepository:
          type: object
          properties:
            id:
              type: string
            externalGithubRepositoryId:
              type: string
            githubAppInstallationId:
              type: string
        gitlabRepository:
          type: object
          properties:
            id:
              type: string
            gitlabInstallationId:
              type: string
        bitbucket:
          type: object
          properties:
            repositoryUrl:
              type: string
            linkActive:
              type: boolean
        genericGit:
          type: object
          properties:
            repositoryUrl:
              type: string
            linkActive:
              type: boolean
      required:
        - id
        - projectId
        - name
        - url
        - defaultScanTargetBranch
        - isPrScanningEnabled
        - includeVulnDetailsInPrComment
        - isInlinePrReviewsEnabled
        - isPrScanIssueSummaryEnabled
        - isPrScanCleanSummaryEnabled
        - postVcsCheckStatus
    IssuesByType:
      type: object
      properties:
        open:
          type: number
        patched:
          type: number
        falsePositive:
          type: number
        archived:
          type: number
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
  securitySchemes:
    apiTokenId:
      type: apiKey
      in: header
      name: X-ZeroPath-API-Token-Id
      x-fern-header:
        name: apiTokenId
        env: ZEROPATH_API_TOKEN_ID
    apiTokenSecret:
      type: apiKey
      in: header
      name: X-ZeroPath-API-Token-Secret
      x-fern-header:
        name: apiTokenSecret
        env: ZEROPATH_API_TOKEN_SECRET

````